//TRACKER
var tracker = new AR.InstantTracker({
	onChangedState:  function onChangedStateFn(state) {
		// react to a change in tracking state here
	},
	deviceHeight: 1,
	onError: function(errorMessage) {
		alert(errorMessage);
	}
});		

var instantTrackable = new AR.InstantTrackable(tracker);

		
addDrawable = function(img, pointer){

	
	if(tracker.state === AR.InstantTrackerState.INITIALIZING){
		tracker.state = AR.InstantTrackerState.TRACKING;
	}
	
	 var imgDrawable = new AR.HtmlDrawable({html: '<img src="'+img+'"/>'},1	,{
		// This doesn't work
		/*translate : { 
			x: pointer.x,
			y: pointer.y
		}*/
		rotate :  {
			x : 270
		}
	});
	
	instantTrackable.drawables.addCamDrawable(imgDrawable);
	
};


window.onload=function(){
	//CANVAS
	var canvas = new fabric.Canvas('canvas');
	canvas.isDrawingMode = true;
	canvas.freeDrawingBrush.width = 5;
	canvas.freeDrawingBrush.color = "#ff0000";

	canvas.setWidth(window.innerWidth); 
	canvas.setHeight(window.innerHeight); 
	
	canvas.on("mouse:up", function (e) {
		img   = canvas.toDataURL("image/png");
		
		pointer = canvas.getPointer(event.e);
		
		canvas.clear();	
		addDrawable(img, pointer);
	});
	
}



